body {
    background-color: #E5E5E5;
}

.flag {
    display: flex;
}

.flag__square {
    width: 512px;
    height: 512px;
    background: linear-gradient(0deg, rgba(255,255,0,1) 0%, rgba(255,255,0,1) 50%, rgba(25,25,230,1) 50%, rgba(0,0,255,1) 100%);
}

.flag__circle {
    width: 512px; 
    height: 512px;
    background: #f6f6f6f6;
    margin-left: 100px;
}

.circle {
    width: 512px;
    height: 512px;
    background: linear-gradient(0deg, rgba(255,255,0,1) 0%, rgba(255,255,0,1) 50%, rgba(25,25,230,1) 50%, rgba(0,0,255,1) 100%);
    border-radius: 50%;
    box-sizing: border-box;
    padding: 256px 60px;
}

.worm {
    display: flex;
}

.flag__circle__worm {
    width: 512px; 
    height: 512px;
    background: #f6f6f6f6;
    margin-top: 100px;
}

.flag__square__worm {
    width: 512px;
    height: 512px;
    background: linear-gradient(0deg, rgba(255,255,0,1) 0%, rgba(255,255,0,1) 50%, rgba(25,25,230,1) 50%, rgba(0,0,255,1) 100%);
    text-align: center;
    box-sizing: border-box;
    padding-top: 150px;
    margin-top: 100px;
    margin-left: 100px;
}

.hexagon {
    display: flex;
}

.flag__square__hexagon {
    width: 512px;
    height: 512px;
    background: linear-gradient(0deg, rgba(255,255,0,1) 0%, rgba(255,255,0,1) 50%, rgba(25,25,230,1) 50%, rgba(0,0,255,1) 100%);
    margin-top: 100px;
    box-sizing: border-box;
    padding-top: 59px;
}

.flag__circle__hexagon {
    width: 512px; 
    height: 512px;
    background: #f6f6f6f6;
    margin-top: 100px;
    margin-left: 100px;
}

.circle__hexagon {
    width: 512px;
    height: 512px;
    background: linear-gradient(0deg, rgba(255,255,0,1) 0%, rgba(255,255,0,1) 50%, rgba(25,25,230,1) 50%, rgba(0,0,255,1) 100%);
    border-radius: 50%;
    box-sizing: border-box;
    padding-top: 96px;
    text-align: center;
}

.plane {
    display: flex;
}

.flag__square__plane {
    width: 512px;
    height: 512px;
    background: linear-gradient(0deg, rgba(255,255,0,1) 0%, rgba(255,255,0,1) 50%, rgba(25,25,230,1) 50%, rgba(0,0,255,1) 100%);
    box-sizing: border-box;
    padding: 128px 173px;
    margin-top: 100px;
}

.flag__circle__plane {
    width: 512px; 
    height: 512px;
    background: #f6f6f6f6;
    margin-top: 100px;
    margin-left: 100px;
}

.circle__plane {
    width: 512px;
    height: 512px;
    background: linear-gradient(0deg, rgba(255,255,0,1) 0%, rgba(255,255,0,1) 50%, rgba(25,25,230,1) 50%, rgba(0,0,255,1) 100%);
    border-radius: 50%;
    box-sizing: border-box;
    padding-top: 96px;
    text-align: center;
}

.diya {
   display:flex
}

.flag__square__diya {
    width: 512px;
    height: 512px;
    background: linear-gradient(0deg, rgba(255,255,0,1) 0%, rgba(255,255,0,1) 50%, rgba(25,25,230,1) 50%, rgba(0,0,255,1) 100%);
    text-align: center;
    box-sizing: border-box;
    padding-top: 158px;
    margin-top: 100px;
}

.flag__circle__diya {
    width: 512px; 
    height: 512px;
    background: #f6f6f6f6;
    margin: 100px 100px;
}

.circle__diya {
    width: 512px;
    height: 512px;
    background: linear-gradient(0deg, rgba(255,255,0,1) 0%, rgba(255,255,0,1) 50%, rgba(25,25,230,1) 50%, rgba(0,0,255,1) 100%);
    border-radius: 50%;
    box-sizing: border-box;
    padding-top: 158px;
    text-align: center;
}

.diya__black {
    width: 512px; 
    height: 512px;
    background: #000000;
    margin-top: 100px;
    text-align: center;
    box-sizing: border-box;
    padding-top: 128px;
}

.flag__small {
    margin-top: 32px;
}

.diya__black2 {
    width: 512px; 
    height: 512px;
    background: #000000;
    margin: 100px 25px;
    box-sizing: border-box;
    padding-top: 23px;
}

.flag__small2 {
    margin: 0 21px;
}

.diya2 {
    margin: 45.64px 101px;
}

.diya__black3 {
    width: 512px; 
    height: 512px;
    background: #000000;
    margin-top: 100px;
    box-sizing: border-box;
    padding-top: 23px;
}

.flag__small3 {
    margin: 0 21px;
    display: flex;
    justify-content: space-between;
}